<template>
  <article class="statistiques-item column">
    <b-icon size="is-small" :icon="icon"></b-icon>
    <b>{{ format(valeur) }}</b>
    <div>
      <p><slot></slot></p>
    </div>
  </article>
</template>

<script>
export default {
  name: 'MtStatNombre',
  props: {
    valeur: {
      type: Number,
      required: true,
      default: 0,
    },
    icon: {
      type: String,
      required: true,
      default: 'account',
    },
  },
  methods: {
    format(value) {
      // format 100 000
      return new Intl.NumberFormat('fr-Fr').format(value);
    },
  },
};
</script>

<style scoped lang="scss">
.statistiques-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 1.5rem 0.5rem 1rem;
  border-radius: 1rem;
  box-shadow: 0.2em 0.2rem 1rem #ddd, -0.2rem -0.2rem 1rem #ffffff;
  cursor: default;
  position: relative;
  overflow: hidden;
  margin: 1.75rem;
  min-width: 150px;
  flex-grow: 0;

  .icon {
    position: absolute;
    top: 35%;
    right: 15%;

    /deep/ i::before {
      opacity: 0.2;
      font-size: 8rem;
      color: #ccc;
    }
  }
  b {
    font-size: 2.5rem;
    line-height: 1;
    margin-bottom: 0.35em;
    z-index: 1;
  }
  p {
    font-size: 0.9rem;
    margin-left: 0.5em;
  }
  div {
    display: flex;
    align-items: center;
  }
}
</style>
